org.eclipse.cdt.core.dom.ast

## Interface IParameter

All Superinterfaces:
  IBinding, IVariable

All Known Subinterfaces:
  ICPPParameter

    public interface IParameter
    extends IVariable

Represents a parameter to a function. The scope of the parameter is the function that declared this parameter.

### Field Summary

Fields
`static IParameter[]` `EMPTY_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IValue` `getInitialValue()` Inherited from `IVariable`, always returns `null`.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getType, isAuto, isExtern, isRegister, isStatic`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Field Detail

#### EMPTY_PARAMETER_ARRAY

    static final IParameter[] EMPTY_PARAMETER_ARRAY

### Method Detail

#### getInitialValue

    IValue getInitialValue()

Inherited from `IVariable`, always returns `null`.

Specified by:
  `getInitialValue` in interface `IVariable`
Since:
  5.1